const fs = require("fs");

//Fonction pour récupérer les fichiers dans les sous-dossier
const loadCommands = (client, dir = "./commands/") => {
    fs.readdirSync(dir).forEach(dirs => {
      const commands = fs.readdirSync(`${dir}/${dirs}/`).filter(files => files.endsWith(".js"));
  
      for(const file of commands) {
        const getFileName = require(`../${dir}/${dirs}/${file}`);
        client.commands.set(getFileName.help.name, getFileName);
        console.log(`Commande chargée: ${getFileName.help.name}`);
      };
    });
  };
  
  //Fonction pour les Events
  const loadEvents = (client, dir = "./events/") => {
    fs.readdirSync(dir).forEach(dirs => {
      const events = fs.readdirSync(`${dir}/${dirs}/`).filter(files => files.endsWith(".js"));
  
      for(const event of events) {
        const evt = require(`../${dir}/${dirs}/${event}`);
        const evtName = event.split(".")[0];
        client.on(evtName, evt.bind(null, client));
        console.log(`Evenement chargé: ${evtName}`);
      };
    });
  };

  module.exports = {
      loadCommands,
      loadEvents,
  }